Bug 841670 - (CVE-2012-3378) CVE-2012-3378 at-spi2-atk: insecure temporary file handling
CVE-2012-3378 at-spi2-atk: insecure temporary file handling
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120618,reported=2...
: Security
Depends On: 841671
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 16:11 EDT by Vincent Danen
Modified: 2015-03-03 05:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 12:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-07-19 16:11:39 EDT
The at-spi2-atk module for GTK+ was found [1],[2] to not handle temporary files in a secure manner.  The /tmp/at-spi2/ directory that it uses is world-writable and readable, and uses a predictable hard-coded name.  This could lead to symlink attacks, overwriting arbitrary files.

This has been fixed in upstream version 2.5.3, via git commit e4f3ee [3].

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678026
[2] https://bugzilla.gnome.org/show_bug.cgi?id=678348
[3] http://git.gnome.org/browse/at-spi2-atk/commit/?id=e4f3ee
Comment 1 Vincent Danen 2012-07-19 16:12:26 EDT
Created at-spi2-atk tracking bugs for this issue

Affects: fedora-all [bug 841671]
Comment 2 Vincent Danen 2013-02-19 18:36:59 EST
This still affects Fedora 17, but Fedora 18 has a post-fix upstream version.

Note You need to log in before you can comment on or make changes to this bug.